
CN REST - Task #3304

Story # 3738 (Closed): Identity portal enhancements

Upgrade portal to use OAuth for MyProxy (CILogon upgrade)
Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

We are the last group still using CILogon 1.x for client authentication. They have politely asked that we upgrade at our convenience.

The upgrade has changed quite a few thing, most notably it removes the requirement that we tract transactions as the user navigates

through the authentication process. This frees us from using postgres for that, but it also means we need to have safe and secure

way for sharing the clients' certificates on all three CNs when they have successfully authenticated. We may need to just keep the

DB in place since it has been working and communication with it is via TLS.

History

#1 - 2012-10-05 22:48 - Ben Leinfelder

- % Done changed from 0 to 50

Locally, I switched d1_portal_servlet to the newer maven artifacts and refactored as needed. The lingering question is how to best manage and store

cert/key pairs for each user...

#2 - 2012-10-24 16:14 - Ben Leinfelder

- Status changed from New to In Progress

- Category set to d1_portal_servlet

#3 - 2013-02-15 06:47 - Ben Leinfelder

Jeff Gaynor has included certificate storage in the next CILogon 2 release and will be assisting me in our upgrade.

#4 - 2013-04-26 18:13 - Ben Leinfelder

- Parent task set to #3738

#5 - 2013-05-20 18:50 - Ben Leinfelder

- Subject changed from Upgrade portal to use CILogon 2 to Upgrade portal to use OAuth for MyProxy (CILogon upgrade)

#6 - 2013-05-21 22:10 - Ben Leinfelder

- Status changed from In Progress to Testing

This in trunk/unstable channel and deployed to cn-dev.

#7 - 2013-08-05 16:20 - Ben Leinfelder

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

This was installed on the production CNs as part of the CCI 1.2.0 release
